Branches
Retrieve branch logs
POST
/
organizations
/
{organizationID}
/
projects
/
{projectID}
/
branches
/
{branchID}
/
logs
Retrieve branch logs
curl --request POST \
--url https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches/{branchID}/logs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"filters": [
{
"values": [
"<string>"
],
"value": "<string>"
}
],
"limit": 100,
"cursor": "<string>"
}
'import requests
url = "https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches/{branchID}/logs"
payload = {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"filters": [
{
"values": ["<string>"],
"value": "<string>"
}
],
"limit": 100,
"cursor": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z',
filters: [{values: ['<string>'], value: '<string>'}],
limit: 100,
cursor: '<string>'
})
};
fetch('https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches/{branchID}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"logs": [
{
"timestamp": "2023-11-07T05:31:56Z",
"instanceID": "<string>",
"message": "<string>",
"process": "<string>"
}
],
"nextCursor": "<string>"
}{
"message": "<string>",
"id": "<string>"
}{
"message": "<string>",
"id": "<string>"
}{
"message": "<string>",
"id": "<string>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Pattern:
[a-zA-Z0-9_-~:]+Body
application/json
Was this page helpful?
Previous
Get PostgreSQL configuration detailsRetrieves detailed information about the current PostgreSQL configuration parameters for a branch, including parameter types, descriptions, acceptable ranges, default values, and current values.
Next
⌘I
Retrieve branch logs
